*********************************************************************           
*                                                                   *           
*        EXWAPARM - PARAMETER LIST FOR VDA EXIT USERs               *           
*                                                                   *           
*     00  _______________________________________________           *           
*        |                                               |          *           
*        /                   EXTYPE                      /          *           
*     04 |_______________________________________________|          *           
*        |                                               |          *           
*        /                   EXACB                       /          *           
*     08 |_______________________________________________|          *           
*        |                                               |          *           
*        /                   EXRPL                       /          *           
*     12 |_______________________________________________|          *           
*        |                                               |          *           
*        |                   EXDDND                      |          *           
*     16 |_______________________________________________|          *           
*        |                                               |          *           
*        |                   EXDSND                      |          *           
*     20 |_______________________________________________|          *           
*        |                                               |          *           
*        |                   EXDDNC                      |          *           
*     24 |_______________________________________________|          *           
*        |                                               |          *           
*        |                   EXDSNC                      |          *           
*     28 |_______________________________________________|          *           
*        |                                               |          *           
*        |                   EXUSER                      |          *           
*     48 |_______________________________________________|          *           
*                                                                   *           
*                                                                   *           
*********************************************************************           
*                                                                   *           
*         ASSEMBLER DSECT FOR EXIT WORK AREA                        *           
*                                                                   *           
*********************************************************************           
         MACRO                                                                  
         EXWAPARM &DSECT=YES                                                    
IKQEXWA  DS    0F                  PARAMETER LIST FOR EXIT                      
EXWAPARM DS    0F                  PARAMETER LIST FOR EXIT                      
EXTYPE   DS    C                   TYPE OF EXIT FLAGS                           
*                                                                               
EXOPN    EQU   B'10000000'         THIS EXIT HAS BEEN DONE AT OPENING           
*                                  A VSAM DATA SET                              
*                                                                               
EXCLO    EQU   B'01000000'         THIS EXIT HAS BEEN DONE AT CLOSING           
*                                  A VSAM DATA SET                              
*                                                                               
EXRMIN   EQU   B'00100000'         THIS EXIT HAS BEEN DONE AT THE               
*                                  BEGINNING OF RECORD MANAGEMENT               
*                                  (STARTING A VSAM REQUEST)                    
*                                                                               
EXRMOUT  EQU   B'00010000'         THIS EXIT HAS BEEN DONE AT THE END           
*                                  OF RECORD MANAGEMENT (A REQUEST TO           
*                                  A VSAM DATA SET ENDED SUCCESSFULLY)          
*                                                                               
EXRMERR  EQU   B'00001000'         THIS EXIT HAS BEEN DONE AT THE END           
*                                  OF RECORD MANAGEMENT (A REQUEST TO           
*                                  A VSAM DATA SET FAILED)                      
*                                                                               
EXRMDSBC EQU   B'00000001'         THE OPENED DATA SET IS A PATH AND            
*                                  THE DATA SET NAME IN FIELD EXDSND            
*                                  IS THE DSNAME OF THE BASE CLUSTER            
*                                                                               
         DS    3C                  RESERVED                                     
*                                                                               
EXACB    DS    F                   ACB POINTER                                  
*                                                                               
EXRPL    DS    F                   RPL POINTER                                  
*                                                                               
EXDDND   DS    F                   POINTER TO DDNAME OF DATA SET                
*                                                                               
EXDSND   DS    F                   POINTER TO DSNAME OF THE DATA SET            
*                                                                               
EXDDNC   DS    F                   POINTER TO DDNAME OF THE CATALOG             
*                                                                               
EXDSNC   DS    F                   POINTER TO DSNAME OF THE CATALOG             
*                                                                               
EXUSER   DS    CL16                USER AREA, NOT MODIFIED BY VSAM              
*                                                                               
EXEND    DS    0F                  END OF EXIT WORK AREA                        
         MEND                                                                   
